c13ef7648f44cb42df7ae512e54ab28eb281afa0
[fw/sdcc] / device / lib / pic / configure
1 #! /bin/sh
2 # Guess values for system-dependent variables and create Makefiles.
3 # Generated by GNU Autoconf 2.59.
4 #
5 # Copyright (C) 2003 Free Software Foundation, Inc.
6 # This configure script is free software; the Free Software Foundation
7 # gives unlimited permission to copy, distribute and modify it.
8 ## --------------------- ##
9 ## M4sh Initialization.  ##
10 ## --------------------- ##
11
12 # Be Bourne compatible
13 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
14   emulate sh
15   NULLCMD=:
16   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
17   # is contrary to our usage.  Disable this feature.
18   alias -g '${1+"$@"}'='"$@"'
19 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
20   set -o posix
21 fi
22 DUALCASE=1; export DUALCASE # for MKS sh
23
24 # Support unset when possible.
25 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
26   as_unset=unset
27 else
28   as_unset=false
29 fi
30
31
32 # Work around bugs in pre-3.0 UWIN ksh.
33 $as_unset ENV MAIL MAILPATH
34 PS1='$ '
35 PS2='> '
36 PS4='+ '
37
38 # NLS nuisances.
39 for as_var in \
40   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
41   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
42   LC_TELEPHONE LC_TIME
43 do
44   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
45     eval $as_var=C; export $as_var
46   else
47     $as_unset $as_var
48   fi
49 done
50
51 # Required to use basename.
52 if expr a : '\(a\)' >/dev/null 2>&1; then
53   as_expr=expr
54 else
55   as_expr=false
56 fi
57
58 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
59   as_basename=basename
60 else
61   as_basename=false
62 fi
63
64
65 # Name of the executable.
66 as_me=`$as_basename "$0" ||
67 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
68          X"$0" : 'X\(//\)$' \| \
69          X"$0" : 'X\(/\)$' \| \
70          .     : '\(.\)' 2>/dev/null ||
71 echo X/"$0" |
72     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
73           /^X\/\(\/\/\)$/{ s//\1/; q; }
74           /^X\/\(\/\).*/{ s//\1/; q; }
75           s/.*/./; q'`
76
77
78 # PATH needs CR, and LINENO needs CR and PATH.
79 # Avoid depending upon Character Ranges.
80 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
81 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
82 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
83 as_cr_digits='0123456789'
84 as_cr_alnum=$as_cr_Letters$as_cr_digits
85
86 # The user is always right.
87 if test "${PATH_SEPARATOR+set}" != set; then
88   echo "#! /bin/sh" >conf$$.sh
89   echo  "exit 0"   >>conf$$.sh
90   chmod +x conf$$.sh
91   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
92     PATH_SEPARATOR=';'
93   else
94     PATH_SEPARATOR=:
95   fi
96   rm -f conf$$.sh
97 fi
98
99
100   as_lineno_1=$LINENO
101   as_lineno_2=$LINENO
102   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
103   test "x$as_lineno_1" != "x$as_lineno_2" &&
104   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
105   # Find who we are.  Look in the path if we contain no path at all
106   # relative or not.
107   case $0 in
108     *[\\/]* ) as_myself=$0 ;;
109     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
110 for as_dir in $PATH
111 do
112   IFS=$as_save_IFS
113   test -z "$as_dir" && as_dir=.
114   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
115 done
116
117        ;;
118   esac
119   # We did not find ourselves, most probably we were run as `sh COMMAND'
120   # in which case we are not to be found in the path.
121   if test "x$as_myself" = x; then
122     as_myself=$0
123   fi
124   if test ! -f "$as_myself"; then
125     { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2
126    { (exit 1); exit 1; }; }
127   fi
128   case $CONFIG_SHELL in
129   '')
130     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
131 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
132 do
133   IFS=$as_save_IFS
134   test -z "$as_dir" && as_dir=.
135   for as_base in sh bash ksh sh5; do
136          case $as_dir in
137          /*)
138            if ("$as_dir/$as_base" -c '
139   as_lineno_1=$LINENO
140   as_lineno_2=$LINENO
141   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
142   test "x$as_lineno_1" != "x$as_lineno_2" &&
143   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
144              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
145              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
146              CONFIG_SHELL=$as_dir/$as_base
147              export CONFIG_SHELL
148              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
149            fi;;
150          esac
151        done
152 done
153 ;;
154   esac
155
156   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
157   # uniformly replaced by the line number.  The first 'sed' inserts a
158   # line-number line before each line; the second 'sed' does the real
159   # work.  The second script uses 'N' to pair each line-number line
160   # with the numbered line, and appends trailing '-' during
161   # substitution so that $LINENO is not a special case at line end.
162   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
163   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
164   sed '=' <$as_myself |
165     sed '
166       N
167       s,$,-,
168       : loop
169       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
170       t loop
171       s,-$,,
172       s,^['$as_cr_digits']*\n,,
173     ' >$as_me.lineno &&
174   chmod +x $as_me.lineno ||
175     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
176    { (exit 1); exit 1; }; }
177
178   # Don't try to exec as it changes $[0], causing all sort of problems
179   # (the dirname of $[0] is not the place where we might find the
180   # original and so on.  Autoconf is especially sensible to this).
181   . ./$as_me.lineno
182   # Exit status is that of the last command.
183   exit
184 }
185
186
187 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
188   *c*,-n*) ECHO_N= ECHO_C='
189 ' ECHO_T='      ' ;;
190   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
191   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
192 esac
193
194 if expr a : '\(a\)' >/dev/null 2>&1; then
195   as_expr=expr
196 else
197   as_expr=false
198 fi
199
200 rm -f conf$$ conf$$.exe conf$$.file
201 echo >conf$$.file
202 if ln -s conf$$.file conf$$ 2>/dev/null; then
203   # We could just check for DJGPP; but this test a) works b) is more generic
204   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
205   if test -f conf$$.exe; then
206     # Don't use ln at all; we don't have any links
207     as_ln_s='cp -p'
208   else
209     as_ln_s='ln -s'
210   fi
211 elif ln conf$$.file conf$$ 2>/dev/null; then
212   as_ln_s=ln
213 else
214   as_ln_s='cp -p'
215 fi
216 rm -f conf$$ conf$$.exe conf$$.file
217
218 if mkdir -p . 2>/dev/null; then
219   as_mkdir_p=:
220 else
221   test -d ./-p && rmdir ./-p
222   as_mkdir_p=false
223 fi
224
225 as_executable_p="test -f"
226
227 # Sed expression to map a string onto a valid CPP name.
228 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
229
230 # Sed expression to map a string onto a valid variable name.
231 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
232
233
234 # IFS
235 # We need space, tab and new line, in precisely that order.
236 as_nl='
237 '
238 IFS="   $as_nl"
239
240 # CDPATH.
241 $as_unset CDPATH
242
243
244 # Name of the host.
245 # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
246 # so uname gets run too.
247 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
248
249 exec 6>&1
250
251 #
252 # Initializations.
253 #
254 ac_default_prefix=/usr/local
255 ac_config_libobj_dir=.
256 cross_compiling=no
257 subdirs=
258 MFLAGS=
259 MAKEFLAGS=
260 SHELL=${CONFIG_SHELL-/bin/sh}
261
262 # Maximum number of lines to put in a shell here document.
263 # This variable seems obsolete.  It should probably be removed, and
264 # only ac_max_sed_lines should be used.
265 : ${ac_max_here_lines=38}
266
267 # Identity of this package.
268 PACKAGE_NAME=
269 PACKAGE_TARNAME=
270 PACKAGE_VERSION=
271 PACKAGE_STRING=
272 PACKAGE_BUGREPORT=
273
274 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS GPASM GPLINK GPLIB RM CP MV LS SED EGREP MKDIR RMDIR SET_MAKE LIBOBJS LTLIBOBJS'
275 ac_subst_files=''
276
277 # Initialize some variables set by options.
278 ac_init_help=
279 ac_init_version=false
280 # The variables have the same names as the options, with
281 # dashes changed to underlines.
282 cache_file=/dev/null
283 exec_prefix=NONE
284 no_create=
285 no_recursion=
286 prefix=NONE
287 program_prefix=NONE
288 program_suffix=NONE
289 program_transform_name=s,x,x,
290 silent=
291 site=
292 srcdir=
293 verbose=
294 x_includes=NONE
295 x_libraries=NONE
296
297 # Installation directory options.
298 # These are left unexpanded so users can "make install exec_prefix=/foo"
299 # and all the variables that are supposed to be based on exec_prefix
300 # by default will actually change.
301 # Use braces instead of parens because sh, perl, etc. also accept them.
302 bindir='${exec_prefix}/bin'
303 sbindir='${exec_prefix}/sbin'
304 libexecdir='${exec_prefix}/libexec'
305 datadir='${prefix}/share'
306 sysconfdir='${prefix}/etc'
307 sharedstatedir='${prefix}/com'
308 localstatedir='${prefix}/var'
309 libdir='${exec_prefix}/lib'
310 includedir='${prefix}/include'
311 oldincludedir='/usr/include'
312 infodir='${prefix}/info'
313 mandir='${prefix}/man'
314
315 ac_prev=
316 for ac_option
317 do
318   # If the previous option needs an argument, assign it.
319   if test -n "$ac_prev"; then
320     eval "$ac_prev=\$ac_option"
321     ac_prev=
322     continue
323   fi
324
325   ac_optarg=`expr "x$ac_option" : 'x[^=]*=\(.*\)'`
326
327   # Accept the important Cygnus configure options, so we can diagnose typos.
328
329   case $ac_option in
330
331   -bindir | --bindir | --bindi | --bind | --bin | --bi)
332     ac_prev=bindir ;;
333   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
334     bindir=$ac_optarg ;;
335
336   -build | --build | --buil | --bui | --bu)
337     ac_prev=build_alias ;;
338   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
339     build_alias=$ac_optarg ;;
340
341   -cache-file | --cache-file | --cache-fil | --cache-fi \
342   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
343     ac_prev=cache_file ;;
344   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
345   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
346     cache_file=$ac_optarg ;;
347
348   --config-cache | -C)
349     cache_file=config.cache ;;
350
351   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
352     ac_prev=datadir ;;
353   -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
354   | --da=*)
355     datadir=$ac_optarg ;;
356
357   -disable-* | --disable-*)
358     ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
359     # Reject names that are not valid shell variable names.
360     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
361       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
362    { (exit 1); exit 1; }; }
363     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
364     eval "enable_$ac_feature=no" ;;
365
366   -enable-* | --enable-*)
367     ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
368     # Reject names that are not valid shell variable names.
369     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
370       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
371    { (exit 1); exit 1; }; }
372     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
373     case $ac_option in
374       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
375       *) ac_optarg=yes ;;
376     esac
377     eval "enable_$ac_feature='$ac_optarg'" ;;
378
379   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
380   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
381   | --exec | --exe | --ex)
382     ac_prev=exec_prefix ;;
383   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
384   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
385   | --exec=* | --exe=* | --ex=*)
386     exec_prefix=$ac_optarg ;;
387
388   -gas | --gas | --ga | --g)
389     # Obsolete; use --with-gas.
390     with_gas=yes ;;
391
392   -help | --help | --hel | --he | -h)
393     ac_init_help=long ;;
394   -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
395     ac_init_help=recursive ;;
396   -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
397     ac_init_help=short ;;
398
399   -host | --host | --hos | --ho)
400     ac_prev=host_alias ;;
401   -host=* | --host=* | --hos=* | --ho=*)
402     host_alias=$ac_optarg ;;
403
404   -includedir | --includedir | --includedi | --included | --include \
405   | --includ | --inclu | --incl | --inc)
406     ac_prev=includedir ;;
407   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
408   | --includ=* | --inclu=* | --incl=* | --inc=*)
409     includedir=$ac_optarg ;;
410
411   -infodir | --infodir | --infodi | --infod | --info | --inf)
412     ac_prev=infodir ;;
413   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
414     infodir=$ac_optarg ;;
415
416   -libdir | --libdir | --libdi | --libd)
417     ac_prev=libdir ;;
418   -libdir=* | --libdir=* | --libdi=* | --libd=*)
419     libdir=$ac_optarg ;;
420
421   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
422   | --libexe | --libex | --libe)
423     ac_prev=libexecdir ;;
424   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
425   | --libexe=* | --libex=* | --libe=*)
426     libexecdir=$ac_optarg ;;
427
428   -localstatedir | --localstatedir | --localstatedi | --localstated \
429   | --localstate | --localstat | --localsta | --localst \
430   | --locals | --local | --loca | --loc | --lo)
431     ac_prev=localstatedir ;;
432   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
433   | --localstate=* | --localstat=* | --localsta=* | --localst=* \
434   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
435     localstatedir=$ac_optarg ;;
436
437   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
438     ac_prev=mandir ;;
439   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
440     mandir=$ac_optarg ;;
441
442   -nfp | --nfp | --nf)
443     # Obsolete; use --without-fp.
444     with_fp=no ;;
445
446   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
447   | --no-cr | --no-c | -n)
448     no_create=yes ;;
449
450   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
451   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
452     no_recursion=yes ;;
453
454   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
455   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
456   | --oldin | --oldi | --old | --ol | --o)
457     ac_prev=oldincludedir ;;
458   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
459   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
460   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
461     oldincludedir=$ac_optarg ;;
462
463   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
464     ac_prev=prefix ;;
465   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
466     prefix=$ac_optarg ;;
467
468   -program-prefix | --program-prefix | --program-prefi | --program-pref \
469   | --program-pre | --program-pr | --program-p)
470     ac_prev=program_prefix ;;
471   -program-prefix=* | --program-prefix=* | --program-prefi=* \
472   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
473     program_prefix=$ac_optarg ;;
474
475   -program-suffix | --program-suffix | --program-suffi | --program-suff \
476   | --program-suf | --program-su | --program-s)
477     ac_prev=program_suffix ;;
478   -program-suffix=* | --program-suffix=* | --program-suffi=* \
479   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
480     program_suffix=$ac_optarg ;;
481
482   -program-transform-name | --program-transform-name \
483   | --program-transform-nam | --program-transform-na \
484   | --program-transform-n | --program-transform- \
485   | --program-transform | --program-transfor \
486   | --program-transfo | --program-transf \
487   | --program-trans | --program-tran \
488   | --progr-tra | --program-tr | --program-t)
489     ac_prev=program_transform_name ;;
490   -program-transform-name=* | --program-transform-name=* \
491   | --program-transform-nam=* | --program-transform-na=* \
492   | --program-transform-n=* | --program-transform-=* \
493   | --program-transform=* | --program-transfor=* \
494   | --program-transfo=* | --program-transf=* \
495   | --program-trans=* | --program-tran=* \
496   | --progr-tra=* | --program-tr=* | --program-t=*)
497     program_transform_name=$ac_optarg ;;
498
499   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
500   | -silent | --silent | --silen | --sile | --sil)
501     silent=yes ;;
502
503   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
504     ac_prev=sbindir ;;
505   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
506   | --sbi=* | --sb=*)
507     sbindir=$ac_optarg ;;
508
509   -sharedstatedir | --sharedstatedir | --sharedstatedi \
510   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
511   | --sharedst | --shareds | --shared | --share | --shar \
512   | --sha | --sh)
513     ac_prev=sharedstatedir ;;
514   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
515   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
516   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
517   | --sha=* | --sh=*)
518     sharedstatedir=$ac_optarg ;;
519
520   -site | --site | --sit)
521     ac_prev=site ;;
522   -site=* | --site=* | --sit=*)
523     site=$ac_optarg ;;
524
525   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
526     ac_prev=srcdir ;;
527   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
528     srcdir=$ac_optarg ;;
529
530   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
531   | --syscon | --sysco | --sysc | --sys | --sy)
532     ac_prev=sysconfdir ;;
533   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
534   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
535     sysconfdir=$ac_optarg ;;
536
537   -target | --target | --targe | --targ | --tar | --ta | --t)
538     ac_prev=target_alias ;;
539   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
540     target_alias=$ac_optarg ;;
541
542   -v | -verbose | --verbose | --verbos | --verbo | --verb)
543     verbose=yes ;;
544
545   -version | --version | --versio | --versi | --vers | -V)
546     ac_init_version=: ;;
547
548   -with-* | --with-*)
549     ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
550     # Reject names that are not valid shell variable names.
551     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
552       { echo "$as_me: error: invalid package name: $ac_package" >&2
553    { (exit 1); exit 1; }; }
554     ac_package=`echo $ac_package| sed 's/-/_/g'`
555     case $ac_option in
556       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
557       *) ac_optarg=yes ;;
558     esac
559     eval "with_$ac_package='$ac_optarg'" ;;
560
561   -without-* | --without-*)
562     ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
563     # Reject names that are not valid shell variable names.
564     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
565       { echo "$as_me: error: invalid package name: $ac_package" >&2
566    { (exit 1); exit 1; }; }
567     ac_package=`echo $ac_package | sed 's/-/_/g'`
568     eval "with_$ac_package=no" ;;
569
570   --x)
571     # Obsolete; use --with-x.
572     with_x=yes ;;
573
574   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
575   | --x-incl | --x-inc | --x-in | --x-i)
576     ac_prev=x_includes ;;
577   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
578   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
579     x_includes=$ac_optarg ;;
580
581   -x-libraries | --x-libraries | --x-librarie | --x-librari \
582   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
583     ac_prev=x_libraries ;;
584   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
585   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
586     x_libraries=$ac_optarg ;;
587
588   -*) { echo "$as_me: error: unrecognized option: $ac_option
589 Try \`$0 --help' for more information." >&2
590    { (exit 1); exit 1; }; }
591     ;;
592
593   *=*)
594     ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
595     # Reject names that are not valid shell variable names.
596     expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
597       { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
598    { (exit 1); exit 1; }; }
599     ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
600     eval "$ac_envvar='$ac_optarg'"
601     export $ac_envvar ;;
602
603   *)
604     # FIXME: should be removed in autoconf 3.0.
605     echo "$as_me: WARNING: you should use --build, --host, --target" >&2
606     expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
607       echo "$as_me: WARNING: invalid host type: $ac_option" >&2
608     : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
609     ;;
610
611   esac
612 done
613
614 if test -n "$ac_prev"; then
615   ac_option=--`echo $ac_prev | sed 's/_/-/g'`
616   { echo "$as_me: error: missing argument to $ac_option" >&2
617    { (exit 1); exit 1; }; }
618 fi
619
620 # Be sure to have absolute paths.
621 for ac_var in exec_prefix prefix
622 do
623   eval ac_val=$`echo $ac_var`
624   case $ac_val in
625     [\\/$]* | ?:[\\/]* | NONE | '' ) ;;
626     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
627    { (exit 1); exit 1; }; };;
628   esac
629 done
630
631 # Be sure to have absolute paths.
632 for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir \
633               localstatedir libdir includedir oldincludedir infodir mandir
634 do
635   eval ac_val=$`echo $ac_var`
636   case $ac_val in
637     [\\/$]* | ?:[\\/]* ) ;;
638     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
639    { (exit 1); exit 1; }; };;
640   esac
641 done
642
643 # There might be people who depend on the old broken behavior: `$host'
644 # used to hold the argument of --host etc.
645 # FIXME: To remove some day.
646 build=$build_alias
647 host=$host_alias
648 target=$target_alias
649
650 # FIXME: To remove some day.
651 if test "x$host_alias" != x; then
652   if test "x$build_alias" = x; then
653     cross_compiling=maybe
654     echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
655     If a cross compiler is detected then cross compile mode will be used." >&2
656   elif test "x$build_alias" != "x$host_alias"; then
657     cross_compiling=yes
658   fi
659 fi
660
661 ac_tool_prefix=
662 test -n "$host_alias" && ac_tool_prefix=$host_alias-
663
664 test "$silent" = yes && exec 6>/dev/null
665
666
667 # Find the source files, if location was not specified.
668 if test -z "$srcdir"; then
669   ac_srcdir_defaulted=yes
670   # Try the directory containing this script, then its parent.
671   ac_confdir=`(dirname "$0") 2>/dev/null ||
672 $as_expr X"$0" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
673          X"$0" : 'X\(//\)[^/]' \| \
674          X"$0" : 'X\(//\)$' \| \
675          X"$0" : 'X\(/\)' \| \
676          .     : '\(.\)' 2>/dev/null ||
677 echo X"$0" |
678     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
679           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
680           /^X\(\/\/\)$/{ s//\1/; q; }
681           /^X\(\/\).*/{ s//\1/; q; }
682           s/.*/./; q'`
683   srcdir=$ac_confdir
684   if test ! -r $srcdir/$ac_unique_file; then
685     srcdir=..
686   fi
687 else
688   ac_srcdir_defaulted=no
689 fi
690 if test ! -r $srcdir/$ac_unique_file; then
691   if test "$ac_srcdir_defaulted" = yes; then
692     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
693    { (exit 1); exit 1; }; }
694   else
695     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
696    { (exit 1); exit 1; }; }
697   fi
698 fi
699 (cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
700   { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
701    { (exit 1); exit 1; }; }
702 srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
703 ac_env_build_alias_set=${build_alias+set}
704 ac_env_build_alias_value=$build_alias
705 ac_cv_env_build_alias_set=${build_alias+set}
706 ac_cv_env_build_alias_value=$build_alias
707 ac_env_host_alias_set=${host_alias+set}
708 ac_env_host_alias_value=$host_alias
709 ac_cv_env_host_alias_set=${host_alias+set}
710 ac_cv_env_host_alias_value=$host_alias
711 ac_env_target_alias_set=${target_alias+set}
712 ac_env_target_alias_value=$target_alias
713 ac_cv_env_target_alias_set=${target_alias+set}
714 ac_cv_env_target_alias_value=$target_alias
715
716 #
717 # Report the --help message.
718 #
719 if test "$ac_init_help" = "long"; then
720   # Omit some internal or obsolete options to make the list less imposing.
721   # This message is too long to be a string in the A/UX 3.1 sh.
722   cat <<_ACEOF
723 \`configure' configures this package to adapt to many kinds of systems.
724
725 Usage: $0 [OPTION]... [VAR=VALUE]...
726
727 To assign environment variables (e.g., CC, CFLAGS...), specify them as
728 VAR=VALUE.  See below for descriptions of some of the useful variables.
729
730 Defaults for the options are specified in brackets.
731
732 Configuration:
733   -h, --help              display this help and exit
734       --help=short        display options specific to this package
735       --help=recursive    display the short help of all the included packages
736   -V, --version           display version information and exit
737   -q, --quiet, --silent   do not print \`checking...' messages
738       --cache-file=FILE   cache test results in FILE [disabled]
739   -C, --config-cache      alias for \`--cache-file=config.cache'
740   -n, --no-create         do not create output files
741       --srcdir=DIR        find the sources in DIR [configure dir or \`..']
742
743 _ACEOF
744
745   cat <<_ACEOF
746 Installation directories:
747   --prefix=PREFIX         install architecture-independent files in PREFIX
748                           [$ac_default_prefix]
749   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
750                           [PREFIX]
751
752 By default, \`make install' will install all the files in
753 \`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
754 an installation prefix other than \`$ac_default_prefix' using \`--prefix',
755 for instance \`--prefix=\$HOME'.
756
757 For better control, use the options below.
758
759 Fine tuning of the installation directories:
760   --bindir=DIR           user executables [EPREFIX/bin]
761   --sbindir=DIR          system admin executables [EPREFIX/sbin]
762   --libexecdir=DIR       program executables [EPREFIX/libexec]
763   --datadir=DIR          read-only architecture-independent data [PREFIX/share]
764   --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
765   --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
766   --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
767   --libdir=DIR           object code libraries [EPREFIX/lib]
768   --includedir=DIR       C header files [PREFIX/include]
769   --oldincludedir=DIR    C header files for non-gcc [/usr/include]
770   --infodir=DIR          info documentation [PREFIX/info]
771   --mandir=DIR           man documentation [PREFIX/man]
772 _ACEOF
773
774   cat <<\_ACEOF
775 _ACEOF
776 fi
777
778 if test -n "$ac_init_help"; then
779
780   cat <<\_ACEOF
781
782 _ACEOF
783 fi
784
785 if test "$ac_init_help" = "recursive"; then
786   # If there are subdirs, report their specific --help.
787   ac_popdir=`pwd`
788   for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
789     test -d $ac_dir || continue
790     ac_builddir=.
791
792 if test "$ac_dir" != .; then
793   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
794   # A "../" for each directory in $ac_dir_suffix.
795   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
796 else
797   ac_dir_suffix= ac_top_builddir=
798 fi
799
800 case $srcdir in
801   .)  # No --srcdir option.  We are building in place.
802     ac_srcdir=.
803     if test -z "$ac_top_builddir"; then
804        ac_top_srcdir=.
805     else
806        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
807     fi ;;
808   [\\/]* | ?:[\\/]* )  # Absolute path.
809     ac_srcdir=$srcdir$ac_dir_suffix;
810     ac_top_srcdir=$srcdir ;;
811   *) # Relative path.
812     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
813     ac_top_srcdir=$ac_top_builddir$srcdir ;;
814 esac
815
816 # Do not use `cd foo && pwd` to compute absolute paths, because
817 # the directories may not exist.
818 case `pwd` in
819 .) ac_abs_builddir="$ac_dir";;
820 *)
821   case "$ac_dir" in
822   .) ac_abs_builddir=`pwd`;;
823   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
824   *) ac_abs_builddir=`pwd`/"$ac_dir";;
825   esac;;
826 esac
827 case $ac_abs_builddir in
828 .) ac_abs_top_builddir=${ac_top_builddir}.;;
829 *)
830   case ${ac_top_builddir}. in
831   .) ac_abs_top_builddir=$ac_abs_builddir;;
832   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
833   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
834   esac;;
835 esac
836 case $ac_abs_builddir in
837 .) ac_abs_srcdir=$ac_srcdir;;
838 *)
839   case $ac_srcdir in
840   .) ac_abs_srcdir=$ac_abs_builddir;;
841   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
842   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
843   esac;;
844 esac
845 case $ac_abs_builddir in
846 .) ac_abs_top_srcdir=$ac_top_srcdir;;
847 *)
848   case $ac_top_srcdir in
849   .) ac_abs_top_srcdir=$ac_abs_builddir;;
850   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
851   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
852   esac;;
853 esac
854
855     cd $ac_dir
856     # Check for guested configure; otherwise get Cygnus style configure.
857     if test -f $ac_srcdir/configure.gnu; then
858       echo
859       $SHELL $ac_srcdir/configure.gnu  --help=recursive
860     elif test -f $ac_srcdir/configure; then
861       echo
862       $SHELL $ac_srcdir/configure  --help=recursive
863     elif test -f $ac_srcdir/configure.ac ||
864            test -f $ac_srcdir/configure.in; then
865       echo
866       $ac_configure --help
867     else
868       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
869     fi
870     cd "$ac_popdir"
871   done
872 fi
873
874 test -n "$ac_init_help" && exit 0
875 if $ac_init_version; then
876   cat <<\_ACEOF
877
878 Copyright (C) 2003 Free Software Foundation, Inc.
879 This configure script is free software; the Free Software Foundation
880 gives unlimited permission to copy, distribute and modify it.
881 _ACEOF
882   exit 0
883 fi
884 exec 5>config.log
885 cat >&5 <<_ACEOF
886 This file contains any messages produced by compilers while
887 running configure, to aid debugging if configure makes a mistake.
888
889 It was created by $as_me, which was
890 generated by GNU Autoconf 2.59.  Invocation command line was
891
892   $ $0 $@
893
894 _ACEOF
895 {
896 cat <<_ASUNAME
897 ## --------- ##
898 ## Platform. ##
899 ## --------- ##
900
901 hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
902 uname -m = `(uname -m) 2>/dev/null || echo unknown`
903 uname -r = `(uname -r) 2>/dev/null || echo unknown`
904 uname -s = `(uname -s) 2>/dev/null || echo unknown`
905 uname -v = `(uname -v) 2>/dev/null || echo unknown`
906
907 /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
908 /bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
909
910 /bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
911 /usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
912 /usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
913 hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
914 /bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
915 /usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
916 /bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
917
918 _ASUNAME
919
920 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
921 for as_dir in $PATH
922 do
923   IFS=$as_save_IFS
924   test -z "$as_dir" && as_dir=.
925   echo "PATH: $as_dir"
926 done
927
928 } >&5
929
930 cat >&5 <<_ACEOF
931
932
933 ## ----------- ##
934 ## Core tests. ##
935 ## ----------- ##
936
937 _ACEOF
938
939
940 # Keep a trace of the command line.
941 # Strip out --no-create and --no-recursion so they do not pile up.
942 # Strip out --silent because we don't want to record it for future runs.
943 # Also quote any args containing shell meta-characters.
944 # Make two passes to allow for proper duplicate-argument suppression.
945 ac_configure_args=
946 ac_configure_args0=
947 ac_configure_args1=
948 ac_sep=
949 ac_must_keep_next=false
950 for ac_pass in 1 2
951 do
952   for ac_arg
953   do
954     case $ac_arg in
955     -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
956     -q | -quiet | --quiet | --quie | --qui | --qu | --q \
957     | -silent | --silent | --silen | --sile | --sil)
958       continue ;;
959     *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
960       ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
961     esac
962     case $ac_pass in
963     1) ac_configure_args0="$ac_configure_args0 '$ac_arg'" ;;
964     2)
965       ac_configure_args1="$ac_configure_args1 '$ac_arg'"
966       if test $ac_must_keep_next = true; then
967         ac_must_keep_next=false # Got value, back to normal.
968       else
969         case $ac_arg in
970           *=* | --config-cache | -C | -disable-* | --disable-* \
971           | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
972           | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
973           | -with-* | --with-* | -without-* | --without-* | --x)
974             case "$ac_configure_args0 " in
975               "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
976             esac
977             ;;
978           -* ) ac_must_keep_next=true ;;
979         esac
980       fi
981       ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
982       # Get rid of the leading space.
983       ac_sep=" "
984       ;;
985     esac
986   done
987 done
988 $as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
989 $as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
990
991 # When interrupted or exit'd, cleanup temporary files, and complete
992 # config.log.  We remove comments because anyway the quotes in there
993 # would cause problems or look ugly.
994 # WARNING: Be sure not to use single quotes in there, as some shells,
995 # such as our DU 5.0 friend, will then `close' the trap.
996 trap 'exit_status=$?
997   # Save into config.log some information that might help in debugging.
998   {
999     echo
1000
1001     cat <<\_ASBOX
1002 ## ---------------- ##
1003 ## Cache variables. ##
1004 ## ---------------- ##
1005 _ASBOX
1006     echo
1007     # The following way of writing the cache mishandles newlines in values,
1008 {
1009   (set) 2>&1 |
1010     case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
1011     *ac_space=\ *)
1012       sed -n \
1013         "s/'"'"'/'"'"'\\\\'"'"''"'"'/g;
1014           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='"'"'\\2'"'"'/p"
1015       ;;
1016     *)
1017       sed -n \
1018         "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
1019       ;;
1020     esac;
1021 }
1022     echo
1023
1024     cat <<\_ASBOX
1025 ## ----------------- ##
1026 ## Output variables. ##
1027 ## ----------------- ##
1028 _ASBOX
1029     echo
1030     for ac_var in $ac_subst_vars
1031     do
1032       eval ac_val=$`echo $ac_var`
1033       echo "$ac_var='"'"'$ac_val'"'"'"
1034     done | sort
1035     echo
1036
1037     if test -n "$ac_subst_files"; then
1038       cat <<\_ASBOX
1039 ## ------------- ##
1040 ## Output files. ##
1041 ## ------------- ##
1042 _ASBOX
1043       echo
1044       for ac_var in $ac_subst_files
1045       do
1046         eval ac_val=$`echo $ac_var`
1047         echo "$ac_var='"'"'$ac_val'"'"'"
1048       done | sort
1049       echo
1050     fi
1051
1052     if test -s confdefs.h; then
1053       cat <<\_ASBOX
1054 ## ----------- ##
1055 ## confdefs.h. ##
1056 ## ----------- ##
1057 _ASBOX
1058       echo
1059       sed "/^$/d" confdefs.h | sort
1060       echo
1061     fi
1062     test "$ac_signal" != 0 &&
1063       echo "$as_me: caught signal $ac_signal"
1064     echo "$as_me: exit $exit_status"
1065   } >&5
1066   rm -f core *.core &&
1067   rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
1068     exit $exit_status
1069      ' 0
1070 for ac_signal in 1 2 13 15; do
1071   trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
1072 done
1073 ac_signal=0
1074
1075 # confdefs.h avoids OS command line length limits that DEFS can exceed.
1076 rm -rf conftest* confdefs.h
1077 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
1078 echo >confdefs.h
1079
1080 # Predefined preprocessor variables.
1081
1082 cat >>confdefs.h <<_ACEOF
1083 #define PACKAGE_NAME "$PACKAGE_NAME"
1084 _ACEOF
1085
1086
1087 cat >>confdefs.h <<_ACEOF
1088 #define PACKAGE_TARNAME "$PACKAGE_TARNAME"
1089 _ACEOF
1090
1091
1092 cat >>confdefs.h <<_ACEOF
1093 #define PACKAGE_VERSION "$PACKAGE_VERSION"
1094 _ACEOF
1095
1096
1097 cat >>confdefs.h <<_ACEOF
1098 #define PACKAGE_STRING "$PACKAGE_STRING"
1099 _ACEOF
1100
1101
1102 cat >>confdefs.h <<_ACEOF
1103 #define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
1104 _ACEOF
1105
1106
1107 # Let the site file select an alternate cache file if it wants to.
1108 # Prefer explicitly selected file to automatically selected ones.
1109 if test -z "$CONFIG_SITE"; then
1110   if test "x$prefix" != xNONE; then
1111     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
1112   else
1113     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
1114   fi
1115 fi
1116 for ac_site_file in $CONFIG_SITE; do
1117   if test -r "$ac_site_file"; then
1118     { echo "$as_me:$LINENO: loading site script $ac_site_file" >&5
1119 echo "$as_me: loading site script $ac_site_file" >&6;}
1120     sed 's/^/| /' "$ac_site_file" >&5
1121     . "$ac_site_file"
1122   fi
1123 done
1124
1125 if test -r "$cache_file"; then
1126   # Some versions of bash will fail to source /dev/null (special
1127   # files actually), so we avoid doing that.
1128   if test -f "$cache_file"; then
1129     { echo "$as_me:$LINENO: loading cache $cache_file" >&5
1130 echo "$as_me: loading cache $cache_file" >&6;}
1131     case $cache_file in
1132       [\\/]* | ?:[\\/]* ) . $cache_file;;
1133       *)                      . ./$cache_file;;
1134     esac
1135   fi
1136 else
1137   { echo "$as_me:$LINENO: creating cache $cache_file" >&5
1138 echo "$as_me: creating cache $cache_file" >&6;}
1139   >$cache_file
1140 fi
1141
1142 # Check that the precious variables saved in the cache have kept the same
1143 # value.
1144 ac_cache_corrupted=false
1145 for ac_var in `(set) 2>&1 |
1146                sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
1147   eval ac_old_set=\$ac_cv_env_${ac_var}_set
1148   eval ac_new_set=\$ac_env_${ac_var}_set
1149   eval ac_old_val="\$ac_cv_env_${ac_var}_value"
1150   eval ac_new_val="\$ac_env_${ac_var}_value"
1151   case $ac_old_set,$ac_new_set in
1152     set,)
1153       { echo "$as_me:$LINENO: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
1154 echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
1155       ac_cache_corrupted=: ;;
1156     ,set)
1157       { echo "$as_me:$LINENO: error: \`$ac_var' was not set in the previous run" >&5
1158 echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
1159       ac_cache_corrupted=: ;;
1160     ,);;
1161     *)
1162       if test "x$ac_old_val" != "x$ac_new_val"; then
1163         { echo "$as_me:$LINENO: error: \`$ac_var' has changed since the previous run:" >&5
1164 echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
1165         { echo "$as_me:$LINENO:   former value:  $ac_old_val" >&5
1166 echo "$as_me:   former value:  $ac_old_val" >&2;}
1167         { echo "$as_me:$LINENO:   current value: $ac_new_val" >&5
1168 echo "$as_me:   current value: $ac_new_val" >&2;}
1169         ac_cache_corrupted=:
1170       fi;;
1171   esac
1172   # Pass precious variables to config.status.
1173   if test "$ac_new_set" = set; then
1174     case $ac_new_val in
1175     *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
1176       ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
1177     *) ac_arg=$ac_var=$ac_new_val ;;
1178     esac
1179     case " $ac_configure_args " in
1180       *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
1181       *) ac_configure_args="$ac_configure_args '$ac_arg'" ;;
1182     esac
1183   fi
1184 done
1185 if $ac_cache_corrupted; then
1186   { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
1187 echo "$as_me: error: changes in the environment can compromise the build" >&2;}
1188   { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
1189 echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
1190    { (exit 1); exit 1; }; }
1191 fi
1192
1193 ac_ext=c
1194 ac_cpp='$CPP $CPPFLAGS'
1195 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1196 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1197 ac_compiler_gnu=$ac_cv_c_compiler_gnu
1198
1199
1200
1201
1202
1203
1204
1205
1206
1207
1208
1209
1210
1211
1212
1213
1214
1215
1216
1217
1218
1219 #AC_DEFUN(AC_CONFIG_FILES)
1220
1221 # Checks for programs.
1222 # Extract the first word of "gpasm", so it can be a program name with args.
1223 set dummy gpasm; ac_word=$2
1224 echo "$as_me:$LINENO: checking for $ac_word" >&5
1225 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1226 if test "${ac_cv_prog_GPASM+set}" = set; then
1227   echo $ECHO_N "(cached) $ECHO_C" >&6
1228 else
1229   if test -n "$GPASM"; then
1230   ac_cv_prog_GPASM="$GPASM" # Let the user override the test.
1231 else
1232 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1233 for as_dir in $PATH
1234 do
1235   IFS=$as_save_IFS
1236   test -z "$as_dir" && as_dir=.
1237   for ac_exec_ext in '' $ac_executable_extensions; do
1238   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1239     ac_cv_prog_GPASM="gpasm"
1240     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1241     break 2
1242   fi
1243 done
1244 done
1245
1246   test -z "$ac_cv_prog_GPASM" && ac_cv_prog_GPASM=":"
1247 fi
1248 fi
1249 GPASM=$ac_cv_prog_GPASM
1250 if test -n "$GPASM"; then
1251   echo "$as_me:$LINENO: result: $GPASM" >&5
1252 echo "${ECHO_T}$GPASM" >&6
1253 else
1254   echo "$as_me:$LINENO: result: no" >&5
1255 echo "${ECHO_T}no" >&6
1256 fi
1257
1258 # Extract the first word of "gplink", so it can be a program name with args.
1259 set dummy gplink; ac_word=$2
1260 echo "$as_me:$LINENO: checking for $ac_word" >&5
1261 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1262 if test "${ac_cv_prog_GPLINK+set}" = set; then
1263   echo $ECHO_N "(cached) $ECHO_C" >&6
1264 else
1265   if test -n "$GPLINK"; then
1266   ac_cv_prog_GPLINK="$GPLINK" # Let the user override the test.
1267 else
1268 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1269 for as_dir in $PATH
1270 do
1271   IFS=$as_save_IFS
1272   test -z "$as_dir" && as_dir=.
1273   for ac_exec_ext in '' $ac_executable_extensions; do
1274   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1275     ac_cv_prog_GPLINK="gplink"
1276     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1277     break 2
1278   fi
1279 done
1280 done
1281
1282   test -z "$ac_cv_prog_GPLINK" && ac_cv_prog_GPLINK=":"
1283 fi
1284 fi
1285 GPLINK=$ac_cv_prog_GPLINK
1286 if test -n "$GPLINK"; then
1287   echo "$as_me:$LINENO: result: $GPLINK" >&5
1288 echo "${ECHO_T}$GPLINK" >&6
1289 else
1290   echo "$as_me:$LINENO: result: no" >&5
1291 echo "${ECHO_T}no" >&6
1292 fi
1293
1294 # Extract the first word of "gplib", so it can be a program name with args.
1295 set dummy gplib; ac_word=$2
1296 echo "$as_me:$LINENO: checking for $ac_word" >&5
1297 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1298 if test "${ac_cv_prog_GPLIB+set}" = set; then
1299   echo $ECHO_N "(cached) $ECHO_C" >&6
1300 else
1301   if test -n "$GPLIB"; then
1302   ac_cv_prog_GPLIB="$GPLIB" # Let the user override the test.
1303 else
1304 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1305 for as_dir in $PATH
1306 do
1307   IFS=$as_save_IFS
1308   test -z "$as_dir" && as_dir=.
1309   for ac_exec_ext in '' $ac_executable_extensions; do
1310   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1311     ac_cv_prog_GPLIB="gplib"
1312     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1313     break 2
1314   fi
1315 done
1316 done
1317
1318   test -z "$ac_cv_prog_GPLIB" && ac_cv_prog_GPLIB=":"
1319 fi
1320 fi
1321 GPLIB=$ac_cv_prog_GPLIB
1322 if test -n "$GPLIB"; then
1323   echo "$as_me:$LINENO: result: $GPLIB" >&5
1324 echo "${ECHO_T}$GPLIB" >&6
1325 else
1326   echo "$as_me:$LINENO: result: no" >&5
1327 echo "${ECHO_T}no" >&6
1328 fi
1329
1330
1331 # Extract the first word of "rm", so it can be a program name with args.
1332 set dummy rm; ac_word=$2
1333 echo "$as_me:$LINENO: checking for $ac_word" >&5
1334 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1335 if test "${ac_cv_prog_RM+set}" = set; then
1336   echo $ECHO_N "(cached) $ECHO_C" >&6
1337 else
1338   if test -n "$RM"; then
1339   ac_cv_prog_RM="$RM" # Let the user override the test.
1340 else
1341 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1342 for as_dir in $PATH
1343 do
1344   IFS=$as_save_IFS
1345   test -z "$as_dir" && as_dir=.
1346   for ac_exec_ext in '' $ac_executable_extensions; do
1347   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1348     ac_cv_prog_RM="rm -f"
1349     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1350     break 2
1351   fi
1352 done
1353 done
1354
1355   test -z "$ac_cv_prog_RM" && ac_cv_prog_RM=":"
1356 fi
1357 fi
1358 RM=$ac_cv_prog_RM
1359 if test -n "$RM"; then
1360   echo "$as_me:$LINENO: result: $RM" >&5
1361 echo "${ECHO_T}$RM" >&6
1362 else
1363   echo "$as_me:$LINENO: result: no" >&5
1364 echo "${ECHO_T}no" >&6
1365 fi
1366
1367 # Extract the first word of "cp", so it can be a program name with args.
1368 set dummy cp; ac_word=$2
1369 echo "$as_me:$LINENO: checking for $ac_word" >&5
1370 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1371 if test "${ac_cv_prog_CP+set}" = set; then
1372   echo $ECHO_N "(cached) $ECHO_C" >&6
1373 else
1374   if test -n "$CP"; then
1375   ac_cv_prog_CP="$CP" # Let the user override the test.
1376 else
1377 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1378 for as_dir in $PATH
1379 do
1380   IFS=$as_save_IFS
1381   test -z "$as_dir" && as_dir=.
1382   for ac_exec_ext in '' $ac_executable_extensions; do
1383   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1384     ac_cv_prog_CP="cp"
1385     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1386     break 2
1387   fi
1388 done
1389 done
1390
1391   test -z "$ac_cv_prog_CP" && ac_cv_prog_CP=":"
1392 fi
1393 fi
1394 CP=$ac_cv_prog_CP
1395 if test -n "$CP"; then
1396   echo "$as_me:$LINENO: result: $CP" >&5
1397 echo "${ECHO_T}$CP" >&6
1398 else
1399   echo "$as_me:$LINENO: result: no" >&5
1400 echo "${ECHO_T}no" >&6
1401 fi
1402
1403 # Extract the first word of "mv", so it can be a program name with args.
1404 set dummy mv; ac_word=$2
1405 echo "$as_me:$LINENO: checking for $ac_word" >&5
1406 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1407 if test "${ac_cv_prog_MV+set}" = set; then
1408   echo $ECHO_N "(cached) $ECHO_C" >&6
1409 else
1410   if test -n "$MV"; then
1411   ac_cv_prog_MV="$MV" # Let the user override the test.
1412 else
1413 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1414 for as_dir in $PATH
1415 do
1416   IFS=$as_save_IFS
1417   test -z "$as_dir" && as_dir=.
1418   for ac_exec_ext in '' $ac_executable_extensions; do
1419   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1420     ac_cv_prog_MV="mv"
1421     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1422     break 2
1423   fi
1424 done
1425 done
1426
1427   test -z "$ac_cv_prog_MV" && ac_cv_prog_MV=":"
1428 fi
1429 fi
1430 MV=$ac_cv_prog_MV
1431 if test -n "$MV"; then
1432   echo "$as_me:$LINENO: result: $MV" >&5
1433 echo "${ECHO_T}$MV" >&6
1434 else
1435   echo "$as_me:$LINENO: result: no" >&5
1436 echo "${ECHO_T}no" >&6
1437 fi
1438
1439 # Extract the first word of "ls", so it can be a program name with args.
1440 set dummy ls; ac_word=$2
1441 echo "$as_me:$LINENO: checking for $ac_word" >&5
1442 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1443 if test "${ac_cv_prog_LS+set}" = set; then
1444   echo $ECHO_N "(cached) $ECHO_C" >&6
1445 else
1446   if test -n "$LS"; then
1447   ac_cv_prog_LS="$LS" # Let the user override the test.
1448 else
1449 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1450 for as_dir in $PATH
1451 do
1452   IFS=$as_save_IFS
1453   test -z "$as_dir" && as_dir=.
1454   for ac_exec_ext in '' $ac_executable_extensions; do
1455   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1456     ac_cv_prog_LS="ls"
1457     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1458     break 2
1459   fi
1460 done
1461 done
1462
1463   test -z "$ac_cv_prog_LS" && ac_cv_prog_LS=":"
1464 fi
1465 fi
1466 LS=$ac_cv_prog_LS
1467 if test -n "$LS"; then
1468   echo "$as_me:$LINENO: result: $LS" >&5
1469 echo "${ECHO_T}$LS" >&6
1470 else
1471   echo "$as_me:$LINENO: result: no" >&5
1472 echo "${ECHO_T}no" >&6
1473 fi
1474
1475 # Extract the first word of "sed", so it can be a program name with args.
1476 set dummy sed; ac_word=$2
1477 echo "$as_me:$LINENO: checking for $ac_word" >&5
1478 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1479 if test "${ac_cv_prog_SED+set}" = set; then
1480   echo $ECHO_N "(cached) $ECHO_C" >&6
1481 else
1482   if test -n "$SED"; then
1483   ac_cv_prog_SED="$SED" # Let the user override the test.
1484 else
1485 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1486 for as_dir in $PATH
1487 do
1488   IFS=$as_save_IFS
1489   test -z "$as_dir" && as_dir=.
1490   for ac_exec_ext in '' $ac_executable_extensions; do
1491   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1492     ac_cv_prog_SED="sed"
1493     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1494     break 2
1495   fi
1496 done
1497 done
1498
1499   test -z "$ac_cv_prog_SED" && ac_cv_prog_SED=":"
1500 fi
1501 fi
1502 SED=$ac_cv_prog_SED
1503 if test -n "$SED"; then
1504   echo "$as_me:$LINENO: result: $SED" >&5
1505 echo "${ECHO_T}$SED" >&6
1506 else
1507   echo "$as_me:$LINENO: result: no" >&5
1508 echo "${ECHO_T}no" >&6
1509 fi
1510
1511 echo "$as_me:$LINENO: checking for egrep" >&5
1512 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
1513 if test "${ac_cv_prog_egrep+set}" = set; then
1514   echo $ECHO_N "(cached) $ECHO_C" >&6
1515 else
1516   if echo a | (grep -E '(a|b)') >/dev/null 2>&1
1517     then ac_cv_prog_egrep='grep -E'
1518     else ac_cv_prog_egrep='egrep'
1519     fi
1520 fi
1521 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
1522 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
1523  EGREP=$ac_cv_prog_egrep
1524
1525
1526 # Extract the first word of "mkdir", so it can be a program name with args.
1527 set dummy mkdir; ac_word=$2
1528 echo "$as_me:$LINENO: checking for $ac_word" >&5
1529 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1530 if test "${ac_cv_prog_MKDIR+set}" = set; then
1531   echo $ECHO_N "(cached) $ECHO_C" >&6
1532 else
1533   if test -n "$MKDIR"; then
1534   ac_cv_prog_MKDIR="$MKDIR" # Let the user override the test.
1535 else
1536 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1537 for as_dir in $PATH
1538 do
1539   IFS=$as_save_IFS
1540   test -z "$as_dir" && as_dir=.
1541   for ac_exec_ext in '' $ac_executable_extensions; do
1542   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1543     ac_cv_prog_MKDIR="mkdir -p"
1544     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1545     break 2
1546   fi
1547 done
1548 done
1549
1550   test -z "$ac_cv_prog_MKDIR" && ac_cv_prog_MKDIR=":"
1551 fi
1552 fi
1553 MKDIR=$ac_cv_prog_MKDIR
1554 if test -n "$MKDIR"; then
1555   echo "$as_me:$LINENO: result: $MKDIR" >&5
1556 echo "${ECHO_T}$MKDIR" >&6
1557 else
1558   echo "$as_me:$LINENO: result: no" >&5
1559 echo "${ECHO_T}no" >&6
1560 fi
1561
1562 # Extract the first word of "rmdir", so it can be a program name with args.
1563 set dummy rmdir; ac_word=$2
1564 echo "$as_me:$LINENO: checking for $ac_word" >&5
1565 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1566 if test "${ac_cv_prog_RMDIR+set}" = set; then
1567   echo $ECHO_N "(cached) $ECHO_C" >&6
1568 else
1569   if test -n "$RMDIR"; then
1570   ac_cv_prog_RMDIR="$RMDIR" # Let the user override the test.
1571 else
1572 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1573 for as_dir in $PATH
1574 do
1575   IFS=$as_save_IFS
1576   test -z "$as_dir" && as_dir=.
1577   for ac_exec_ext in '' $ac_executable_extensions; do
1578   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1579     ac_cv_prog_RMDIR="rmdir"
1580     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1581     break 2
1582   fi
1583 done
1584 done
1585
1586   test -z "$ac_cv_prog_RMDIR" && ac_cv_prog_RMDIR=":"
1587 fi
1588 fi
1589 RMDIR=$ac_cv_prog_RMDIR
1590 if test -n "$RMDIR"; then
1591   echo "$as_me:$LINENO: result: $RMDIR" >&5
1592 echo "${ECHO_T}$RMDIR" >&6
1593 else
1594   echo "$as_me:$LINENO: result: no" >&5
1595 echo "${ECHO_T}no" >&6
1596 fi
1597
1598
1599 echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
1600 echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6
1601 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,:./+-,___p_,'`
1602 if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
1603   echo $ECHO_N "(cached) $ECHO_C" >&6
1604 else
1605   cat >conftest.make <<\_ACEOF
1606 all:
1607         @echo 'ac_maketemp="$(MAKE)"'
1608 _ACEOF
1609 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
1610 eval `${MAKE-make} -f conftest.make 2>/dev/null | grep temp=`
1611 if test -n "$ac_maketemp"; then
1612   eval ac_cv_prog_make_${ac_make}_set=yes
1613 else
1614   eval ac_cv_prog_make_${ac_make}_set=no
1615 fi
1616 rm -f conftest.make
1617 fi
1618 if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
1619   echo "$as_me:$LINENO: result: yes" >&5
1620 echo "${ECHO_T}yes" >&6
1621   SET_MAKE=
1622 else
1623   echo "$as_me:$LINENO: result: no" >&5
1624 echo "${ECHO_T}no" >&6
1625   SET_MAKE="MAKE=${MAKE-make}"
1626 fi
1627
1628
1629 # Checks for libraries.
1630
1631 # Checks for header files.
1632
1633 # Checks for typedefs, structures, and compiler characteristics.
1634
1635 # Checks for library functions.
1636
1637                                                   ac_config_files="$ac_config_files Makefile Makefile.common libdev/Makefile libsdcc/Makefile libm/Makefile"
1638
1639 cat >confcache <<\_ACEOF
1640 # This file is a shell script that caches the results of configure
1641 # tests run on this system so they can be shared between configure
1642 # scripts and configure runs, see configure's option --config-cache.
1643 # It is not useful on other systems.  If it contains results you don't
1644 # want to keep, you may remove or edit it.
1645 #
1646 # config.status only pays attention to the cache file if you give it
1647 # the --recheck option to rerun configure.
1648 #
1649 # `ac_cv_env_foo' variables (set or unset) will be overridden when
1650 # loading this file, other *unset* `ac_cv_foo' will be assigned the
1651 # following values.
1652
1653 _ACEOF
1654
1655 # The following way of writing the cache mishandles newlines in values,
1656 # but we know of no workaround that is simple, portable, and efficient.
1657 # So, don't put newlines in cache variables' values.
1658 # Ultrix sh set writes to stderr and can't be redirected directly,
1659 # and sets the high bit in the cache file unless we assign to the vars.
1660 {
1661   (set) 2>&1 |
1662     case `(ac_space=' '; set | grep ac_space) 2>&1` in
1663     *ac_space=\ *)
1664       # `set' does not quote correctly, so add quotes (double-quote
1665       # substitution turns \\\\ into \\, and sed turns \\ into \).
1666       sed -n \
1667         "s/'/'\\\\''/g;
1668           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
1669       ;;
1670     *)
1671       # `set' quotes correctly as required by POSIX, so do not add quotes.
1672       sed -n \
1673         "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
1674       ;;
1675     esac;
1676 } |
1677   sed '
1678      t clear
1679      : clear
1680      s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
1681      t end
1682      /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
1683      : end' >>confcache
1684 if diff $cache_file confcache >/dev/null 2>&1; then :; else
1685   if test -w $cache_file; then
1686     test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
1687     cat confcache >$cache_file
1688   else
1689     echo "not updating unwritable cache $cache_file"
1690   fi
1691 fi
1692 rm -f confcache
1693
1694 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1695 # Let make expand exec_prefix.
1696 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1697
1698 # VPATH may cause trouble with some makes, so we remove $(srcdir),
1699 # ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
1700 # trailing colons and then remove the whole line if VPATH becomes empty
1701 # (actually we leave an empty line to preserve line numbers).
1702 if test "x$srcdir" = x.; then
1703   ac_vpsub='/^[  ]*VPATH[        ]*=/{
1704 s/:*\$(srcdir):*/:/;
1705 s/:*\${srcdir}:*/:/;
1706 s/:*@srcdir@:*/:/;
1707 s/^\([^=]*=[     ]*\):*/\1/;
1708 s/:*$//;
1709 s/^[^=]*=[       ]*$//;
1710 }'
1711 fi
1712
1713 # Transform confdefs.h into DEFS.
1714 # Protect against shell expansion while executing Makefile rules.
1715 # Protect against Makefile macro expansion.
1716 #
1717 # If the first sed substitution is executed (which looks for macros that
1718 # take arguments), then we branch to the quote section.  Otherwise,
1719 # look for a macro that doesn't take arguments.
1720 cat >confdef2opt.sed <<\_ACEOF
1721 t clear
1722 : clear
1723 s,^[     ]*#[    ]*define[       ][      ]*\([^  (][^    (]*([^)]*)\)[   ]*\(.*\),-D\1=\2,g
1724 t quote
1725 s,^[     ]*#[    ]*define[       ][      ]*\([^  ][^     ]*\)[   ]*\(.*\),-D\1=\2,g
1726 t quote
1727 d
1728 : quote
1729 s,[      `~#$^&*(){}\\|;'"<>?],\\&,g
1730 s,\[,\\&,g
1731 s,\],\\&,g
1732 s,\$,$$,g
1733 p
1734 _ACEOF
1735 # We use echo to avoid assuming a particular line-breaking character.
1736 # The extra dot is to prevent the shell from consuming trailing
1737 # line-breaks from the sub-command output.  A line-break within
1738 # single-quotes doesn't work because, if this script is created in a
1739 # platform that uses two characters for line-breaks (e.g., DOS), tr
1740 # would break.
1741 ac_LF_and_DOT=`echo; echo .`
1742 DEFS=`sed -n -f confdef2opt.sed confdefs.h | tr "$ac_LF_and_DOT" ' .'`
1743 rm -f confdef2opt.sed
1744
1745
1746 ac_libobjs=
1747 ac_ltlibobjs=
1748 for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
1749   # 1. Remove the extension, and $U if already installed.
1750   ac_i=`echo "$ac_i" |
1751          sed 's/\$U\././;s/\.o$//;s/\.obj$//'`
1752   # 2. Add them.
1753   ac_libobjs="$ac_libobjs $ac_i\$U.$ac_objext"
1754   ac_ltlibobjs="$ac_ltlibobjs $ac_i"'$U.lo'
1755 done
1756 LIBOBJS=$ac_libobjs
1757
1758 LTLIBOBJS=$ac_ltlibobjs
1759
1760
1761
1762 : ${CONFIG_STATUS=./config.status}
1763 ac_clean_files_save=$ac_clean_files
1764 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
1765 { echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
1766 echo "$as_me: creating $CONFIG_STATUS" >&6;}
1767 cat >$CONFIG_STATUS <<_ACEOF
1768 #! $SHELL
1769 # Generated by $as_me.
1770 # Run this file to recreate the current configuration.
1771 # Compiler output produced by configure, useful for debugging
1772 # configure, is in config.log if it exists.
1773
1774 debug=false
1775 ac_cs_recheck=false
1776 ac_cs_silent=false
1777 SHELL=\${CONFIG_SHELL-$SHELL}
1778 _ACEOF
1779
1780 cat >>$CONFIG_STATUS <<\_ACEOF
1781 ## --------------------- ##
1782 ## M4sh Initialization.  ##
1783 ## --------------------- ##
1784
1785 # Be Bourne compatible
1786 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
1787   emulate sh
1788   NULLCMD=:
1789   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
1790   # is contrary to our usage.  Disable this feature.
1791   alias -g '${1+"$@"}'='"$@"'
1792 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
1793   set -o posix
1794 fi
1795 DUALCASE=1; export DUALCASE # for MKS sh
1796
1797 # Support unset when possible.
1798 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
1799   as_unset=unset
1800 else
1801   as_unset=false
1802 fi
1803
1804
1805 # Work around bugs in pre-3.0 UWIN ksh.
1806 $as_unset ENV MAIL MAILPATH
1807 PS1='$ '
1808 PS2='> '
1809 PS4='+ '
1810
1811 # NLS nuisances.
1812 for as_var in \
1813   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
1814   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
1815   LC_TELEPHONE LC_TIME
1816 do
1817   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
1818     eval $as_var=C; export $as_var
1819   else
1820     $as_unset $as_var
1821   fi
1822 done
1823
1824 # Required to use basename.
1825 if expr a : '\(a\)' >/dev/null 2>&1; then
1826   as_expr=expr
1827 else
1828   as_expr=false
1829 fi
1830
1831 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
1832   as_basename=basename
1833 else
1834   as_basename=false
1835 fi
1836
1837
1838 # Name of the executable.
1839 as_me=`$as_basename "$0" ||
1840 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
1841          X"$0" : 'X\(//\)$' \| \
1842          X"$0" : 'X\(/\)$' \| \
1843          .     : '\(.\)' 2>/dev/null ||
1844 echo X/"$0" |
1845     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
1846           /^X\/\(\/\/\)$/{ s//\1/; q; }
1847           /^X\/\(\/\).*/{ s//\1/; q; }
1848           s/.*/./; q'`
1849
1850
1851 # PATH needs CR, and LINENO needs CR and PATH.
1852 # Avoid depending upon Character Ranges.
1853 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
1854 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
1855 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
1856 as_cr_digits='0123456789'
1857 as_cr_alnum=$as_cr_Letters$as_cr_digits
1858
1859 # The user is always right.
1860 if test "${PATH_SEPARATOR+set}" != set; then
1861   echo "#! /bin/sh" >conf$$.sh
1862   echo  "exit 0"   >>conf$$.sh
1863   chmod +x conf$$.sh
1864   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
1865     PATH_SEPARATOR=';'
1866   else
1867     PATH_SEPARATOR=:
1868   fi
1869   rm -f conf$$.sh
1870 fi
1871
1872
1873   as_lineno_1=$LINENO
1874   as_lineno_2=$LINENO
1875   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1876   test "x$as_lineno_1" != "x$as_lineno_2" &&
1877   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
1878   # Find who we are.  Look in the path if we contain no path at all
1879   # relative or not.
1880   case $0 in
1881     *[\\/]* ) as_myself=$0 ;;
1882     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1883 for as_dir in $PATH
1884 do
1885   IFS=$as_save_IFS
1886   test -z "$as_dir" && as_dir=.
1887   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
1888 done
1889
1890        ;;
1891   esac
1892   # We did not find ourselves, most probably we were run as `sh COMMAND'
1893   # in which case we are not to be found in the path.
1894   if test "x$as_myself" = x; then
1895     as_myself=$0
1896   fi
1897   if test ! -f "$as_myself"; then
1898     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
1899 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
1900    { (exit 1); exit 1; }; }
1901   fi
1902   case $CONFIG_SHELL in
1903   '')
1904     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1905 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
1906 do
1907   IFS=$as_save_IFS
1908   test -z "$as_dir" && as_dir=.
1909   for as_base in sh bash ksh sh5; do
1910          case $as_dir in
1911          /*)
1912            if ("$as_dir/$as_base" -c '
1913   as_lineno_1=$LINENO
1914   as_lineno_2=$LINENO
1915   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1916   test "x$as_lineno_1" != "x$as_lineno_2" &&
1917   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
1918              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
1919              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
1920              CONFIG_SHELL=$as_dir/$as_base
1921              export CONFIG_SHELL
1922              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
1923            fi;;
1924          esac
1925        done
1926 done
1927 ;;
1928   esac
1929
1930   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
1931   # uniformly replaced by the line number.  The first 'sed' inserts a
1932   # line-number line before each line; the second 'sed' does the real
1933   # work.  The second script uses 'N' to pair each line-number line
1934   # with the numbered line, and appends trailing '-' during
1935   # substitution so that $LINENO is not a special case at line end.
1936   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
1937   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
1938   sed '=' <$as_myself |
1939     sed '
1940       N
1941       s,$,-,
1942       : loop
1943       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
1944       t loop
1945       s,-$,,
1946       s,^['$as_cr_digits']*\n,,
1947     ' >$as_me.lineno &&
1948   chmod +x $as_me.lineno ||
1949     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
1950 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
1951    { (exit 1); exit 1; }; }
1952
1953   # Don't try to exec as it changes $[0], causing all sort of problems
1954   # (the dirname of $[0] is not the place where we might find the
1955   # original and so on.  Autoconf is especially sensible to this).
1956   . ./$as_me.lineno
1957   # Exit status is that of the last command.
1958   exit
1959 }
1960
1961
1962 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
1963   *c*,-n*) ECHO_N= ECHO_C='
1964 ' ECHO_T='      ' ;;
1965   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
1966   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
1967 esac
1968
1969 if expr a : '\(a\)' >/dev/null 2>&1; then
1970   as_expr=expr
1971 else
1972   as_expr=false
1973 fi
1974
1975 rm -f conf$$ conf$$.exe conf$$.file
1976 echo >conf$$.file
1977 if ln -s conf$$.file conf$$ 2>/dev/null; then
1978   # We could just check for DJGPP; but this test a) works b) is more generic
1979   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
1980   if test -f conf$$.exe; then
1981     # Don't use ln at all; we don't have any links
1982     as_ln_s='cp -p'
1983   else
1984     as_ln_s='ln -s'
1985   fi
1986 elif ln conf$$.file conf$$ 2>/dev/null; then
1987   as_ln_s=ln
1988 else
1989   as_ln_s='cp -p'
1990 fi
1991 rm -f conf$$ conf$$.exe conf$$.file
1992
1993 if mkdir -p . 2>/dev/null; then
1994   as_mkdir_p=:
1995 else
1996   test -d ./-p && rmdir ./-p
1997   as_mkdir_p=false
1998 fi
1999
2000 as_executable_p="test -f"
2001
2002 # Sed expression to map a string onto a valid CPP name.
2003 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
2004
2005 # Sed expression to map a string onto a valid variable name.
2006 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
2007
2008
2009 # IFS
2010 # We need space, tab and new line, in precisely that order.
2011 as_nl='
2012 '
2013 IFS="   $as_nl"
2014
2015 # CDPATH.
2016 $as_unset CDPATH
2017
2018 exec 6>&1
2019
2020 # Open the log real soon, to keep \$[0] and so on meaningful, and to
2021 # report actual input values of CONFIG_FILES etc. instead of their
2022 # values after options handling.  Logging --version etc. is OK.
2023 exec 5>>config.log
2024 {
2025   echo
2026   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
2027 ## Running $as_me. ##
2028 _ASBOX
2029 } >&5
2030 cat >&5 <<_CSEOF
2031
2032 This file was extended by $as_me, which was
2033 generated by GNU Autoconf 2.59.  Invocation command line was
2034
2035   CONFIG_FILES    = $CONFIG_FILES
2036   CONFIG_HEADERS  = $CONFIG_HEADERS
2037   CONFIG_LINKS    = $CONFIG_LINKS
2038   CONFIG_COMMANDS = $CONFIG_COMMANDS
2039   $ $0 $@
2040
2041 _CSEOF
2042 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
2043 echo >&5
2044 _ACEOF
2045
2046 # Files that config.status was made for.
2047 if test -n "$ac_config_files"; then
2048   echo "config_files=\"$ac_config_files\"" >>$CONFIG_STATUS
2049 fi
2050
2051 if test -n "$ac_config_headers"; then
2052   echo "config_headers=\"$ac_config_headers\"" >>$CONFIG_STATUS
2053 fi
2054
2055 if test -n "$ac_config_links"; then
2056   echo "config_links=\"$ac_config_links\"" >>$CONFIG_STATUS
2057 fi
2058
2059 if test -n "$ac_config_commands"; then
2060   echo "config_commands=\"$ac_config_commands\"" >>$CONFIG_STATUS
2061 fi
2062
2063 cat >>$CONFIG_STATUS <<\_ACEOF
2064
2065 ac_cs_usage="\
2066 \`$as_me' instantiates files from templates according to the
2067 current configuration.
2068
2069 Usage: $0 [OPTIONS] [FILE]...
2070
2071   -h, --help       print this help, then exit
2072   -V, --version    print version number, then exit
2073   -q, --quiet      do not print progress messages
2074   -d, --debug      don't remove temporary files
2075       --recheck    update $as_me by reconfiguring in the same conditions
2076   --file=FILE[:TEMPLATE]
2077                    instantiate the configuration file FILE
2078
2079 Configuration files:
2080 $config_files
2081
2082 Report bugs to <bug-autoconf@gnu.org>."
2083 _ACEOF
2084
2085 cat >>$CONFIG_STATUS <<_ACEOF
2086 ac_cs_version="\\
2087 config.status
2088 configured by $0, generated by GNU Autoconf 2.59,
2089   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
2090
2091 Copyright (C) 2003 Free Software Foundation, Inc.
2092 This config.status script is free software; the Free Software Foundation
2093 gives unlimited permission to copy, distribute and modify it."
2094 srcdir=$srcdir
2095 _ACEOF
2096
2097 cat >>$CONFIG_STATUS <<\_ACEOF
2098 # If no file are specified by the user, then we need to provide default
2099 # value.  By we need to know if files were specified by the user.
2100 ac_need_defaults=:
2101 while test $# != 0
2102 do
2103   case $1 in
2104   --*=*)
2105     ac_option=`expr "x$1" : 'x\([^=]*\)='`
2106     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
2107     ac_shift=:
2108     ;;
2109   -*)
2110     ac_option=$1
2111     ac_optarg=$2
2112     ac_shift=shift
2113     ;;
2114   *) # This is not an option, so the user has probably given explicit
2115      # arguments.
2116      ac_option=$1
2117      ac_need_defaults=false;;
2118   esac
2119
2120   case $ac_option in
2121   # Handling of the options.
2122 _ACEOF
2123 cat >>$CONFIG_STATUS <<\_ACEOF
2124   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2125     ac_cs_recheck=: ;;
2126   --version | --vers* | -V )
2127     echo "$ac_cs_version"; exit 0 ;;
2128   --he | --h)
2129     # Conflict between --help and --header
2130     { { echo "$as_me:$LINENO: error: ambiguous option: $1
2131 Try \`$0 --help' for more information." >&5
2132 echo "$as_me: error: ambiguous option: $1
2133 Try \`$0 --help' for more information." >&2;}
2134    { (exit 1); exit 1; }; };;
2135   --help | --hel | -h )
2136     echo "$ac_cs_usage"; exit 0 ;;
2137   --debug | --d* | -d )
2138     debug=: ;;
2139   --file | --fil | --fi | --f )
2140     $ac_shift
2141     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
2142     ac_need_defaults=false;;
2143   --header | --heade | --head | --hea )
2144     $ac_shift
2145     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
2146     ac_need_defaults=false;;
2147   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
2148   | -silent | --silent | --silen | --sile | --sil | --si | --s)
2149     ac_cs_silent=: ;;
2150
2151   # This is an error.
2152   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
2153 Try \`$0 --help' for more information." >&5
2154 echo "$as_me: error: unrecognized option: $1
2155 Try \`$0 --help' for more information." >&2;}
2156    { (exit 1); exit 1; }; } ;;
2157
2158   *) ac_config_targets="$ac_config_targets $1" ;;
2159
2160   esac
2161   shift
2162 done
2163
2164 ac_configure_extra_args=
2165
2166 if $ac_cs_silent; then
2167   exec 6>/dev/null
2168   ac_configure_extra_args="$ac_configure_extra_args --silent"
2169 fi
2170
2171 _ACEOF
2172 cat >>$CONFIG_STATUS <<_ACEOF
2173 if \$ac_cs_recheck; then
2174   echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
2175   exec $SHELL $0 $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
2176 fi
2177
2178 _ACEOF
2179
2180
2181
2182
2183
2184 cat >>$CONFIG_STATUS <<\_ACEOF
2185 for ac_config_target in $ac_config_targets
2186 do
2187   case "$ac_config_target" in
2188   # Handling of arguments.
2189   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
2190   "Makefile.common" ) CONFIG_FILES="$CONFIG_FILES Makefile.common" ;;
2191   "libdev/Makefile" ) CONFIG_FILES="$CONFIG_FILES libdev/Makefile" ;;
2192   "libsdcc/Makefile" ) CONFIG_FILES="$CONFIG_FILES libsdcc/Makefile" ;;
2193   "libm/Makefile" ) CONFIG_FILES="$CONFIG_FILES libm/Makefile" ;;
2194   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
2195 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
2196    { (exit 1); exit 1; }; };;
2197   esac
2198 done
2199
2200 # If the user did not use the arguments to specify the items to instantiate,
2201 # then the envvar interface is used.  Set only those that are not.
2202 # We use the long form for the default assignment because of an extremely
2203 # bizarre bug on SunOS 4.1.3.
2204 if $ac_need_defaults; then
2205   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
2206 fi
2207
2208 # Have a temporary directory for convenience.  Make it in the build tree
2209 # simply because there is no reason to put it here, and in addition,
2210 # creating and moving files from /tmp can sometimes cause problems.
2211 # Create a temporary directory, and hook for its removal unless debugging.
2212 $debug ||
2213 {
2214   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
2215   trap '{ (exit 1); exit 1; }' 1 2 13 15
2216 }
2217
2218 # Create a (secure) tmp directory for tmp files.
2219
2220 {
2221   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
2222   test -n "$tmp" && test -d "$tmp"
2223 }  ||
2224 {
2225   tmp=./confstat$$-$RANDOM
2226   (umask 077 && mkdir $tmp)
2227 } ||
2228 {
2229    echo "$me: cannot create a temporary directory in ." >&2
2230    { (exit 1); exit 1; }
2231 }
2232
2233 _ACEOF
2234
2235 cat >>$CONFIG_STATUS <<_ACEOF
2236
2237 #
2238 # CONFIG_FILES section.
2239 #
2240
2241 # No need to generate the scripts if there are no CONFIG_FILES.
2242 # This happens for instance when ./config.status config.h
2243 if test -n "\$CONFIG_FILES"; then
2244   # Protect against being on the right side of a sed subst in config.status.
2245   sed 's/,@/@@/; s/@,/@@/; s/,;t t\$/@;t t/; /@;t t\$/s/[\\\\&,]/\\\\&/g;
2246    s/@@/,@/; s/@@/@,/; s/@;t t\$/,;t t/' >\$tmp/subs.sed <<\\CEOF
2247 s,@SHELL@,$SHELL,;t t
2248 s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
2249 s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
2250 s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
2251 s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
2252 s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
2253 s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
2254 s,@exec_prefix@,$exec_prefix,;t t
2255 s,@prefix@,$prefix,;t t
2256 s,@program_transform_name@,$program_transform_name,;t t
2257 s,@bindir@,$bindir,;t t
2258 s,@sbindir@,$sbindir,;t t
2259 s,@libexecdir@,$libexecdir,;t t
2260 s,@datadir@,$datadir,;t t
2261 s,@sysconfdir@,$sysconfdir,;t t
2262 s,@sharedstatedir@,$sharedstatedir,;t t
2263 s,@localstatedir@,$localstatedir,;t t
2264 s,@libdir@,$libdir,;t t
2265 s,@includedir@,$includedir,;t t
2266 s,@oldincludedir@,$oldincludedir,;t t
2267 s,@infodir@,$infodir,;t t
2268 s,@mandir@,$mandir,;t t
2269 s,@build_alias@,$build_alias,;t t
2270 s,@host_alias@,$host_alias,;t t
2271 s,@target_alias@,$target_alias,;t t
2272 s,@DEFS@,$DEFS,;t t
2273 s,@ECHO_C@,$ECHO_C,;t t
2274 s,@ECHO_N@,$ECHO_N,;t t
2275 s,@ECHO_T@,$ECHO_T,;t t
2276 s,@LIBS@,$LIBS,;t t
2277 s,@GPASM@,$GPASM,;t t
2278 s,@GPLINK@,$GPLINK,;t t
2279 s,@GPLIB@,$GPLIB,;t t
2280 s,@RM@,$RM,;t t
2281 s,@CP@,$CP,;t t
2282 s,@MV@,$MV,;t t
2283 s,@LS@,$LS,;t t
2284 s,@SED@,$SED,;t t
2285 s,@EGREP@,$EGREP,;t t
2286 s,@MKDIR@,$MKDIR,;t t
2287 s,@RMDIR@,$RMDIR,;t t
2288 s,@SET_MAKE@,$SET_MAKE,;t t
2289 s,@LIBOBJS@,$LIBOBJS,;t t
2290 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
2291 CEOF
2292
2293 _ACEOF
2294
2295   cat >>$CONFIG_STATUS <<\_ACEOF
2296   # Split the substitutions into bite-sized pieces for seds with
2297   # small command number limits, like on Digital OSF/1 and HP-UX.
2298   ac_max_sed_lines=48
2299   ac_sed_frag=1 # Number of current file.
2300   ac_beg=1 # First line for current file.
2301   ac_end=$ac_max_sed_lines # Line after last line for current file.
2302   ac_more_lines=:
2303   ac_sed_cmds=
2304   while $ac_more_lines; do
2305     if test $ac_beg -gt 1; then
2306       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
2307     else
2308       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
2309     fi
2310     if test ! -s $tmp/subs.frag; then
2311       ac_more_lines=false
2312     else
2313       # The purpose of the label and of the branching condition is to
2314       # speed up the sed processing (if there are no `@' at all, there
2315       # is no need to browse any of the substitutions).
2316       # These are the two extra sed commands mentioned above.
2317       (echo ':t
2318   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
2319       if test -z "$ac_sed_cmds"; then
2320         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
2321       else
2322         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
2323       fi
2324       ac_sed_frag=`expr $ac_sed_frag + 1`
2325       ac_beg=$ac_end
2326       ac_end=`expr $ac_end + $ac_max_sed_lines`
2327     fi
2328   done
2329   if test -z "$ac_sed_cmds"; then
2330     ac_sed_cmds=cat
2331   fi
2332 fi # test -n "$CONFIG_FILES"
2333
2334 _ACEOF
2335 cat >>$CONFIG_STATUS <<\_ACEOF
2336 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
2337   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2338   case $ac_file in
2339   - | *:- | *:-:* ) # input from stdin
2340         cat >$tmp/stdin
2341         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
2342         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
2343   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
2344         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
2345   * )   ac_file_in=$ac_file.in ;;
2346   esac
2347
2348   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
2349   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
2350 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2351          X"$ac_file" : 'X\(//\)[^/]' \| \
2352          X"$ac_file" : 'X\(//\)$' \| \
2353          X"$ac_file" : 'X\(/\)' \| \
2354          .     : '\(.\)' 2>/dev/null ||
2355 echo X"$ac_file" |
2356     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
2357           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
2358           /^X\(\/\/\)$/{ s//\1/; q; }
2359           /^X\(\/\).*/{ s//\1/; q; }
2360           s/.*/./; q'`
2361   { if $as_mkdir_p; then
2362     mkdir -p "$ac_dir"
2363   else
2364     as_dir="$ac_dir"
2365     as_dirs=
2366     while test ! -d "$as_dir"; do
2367       as_dirs="$as_dir $as_dirs"
2368       as_dir=`(dirname "$as_dir") 2>/dev/null ||
2369 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2370          X"$as_dir" : 'X\(//\)[^/]' \| \
2371          X"$as_dir" : 'X\(//\)$' \| \
2372          X"$as_dir" : 'X\(/\)' \| \
2373          .     : '\(.\)' 2>/dev/null ||
2374 echo X"$as_dir" |
2375     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
2376           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
2377           /^X\(\/\/\)$/{ s//\1/; q; }
2378           /^X\(\/\).*/{ s//\1/; q; }
2379           s/.*/./; q'`
2380     done
2381     test ! -n "$as_dirs" || mkdir $as_dirs
2382   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
2383 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
2384    { (exit 1); exit 1; }; }; }
2385
2386   ac_builddir=.
2387
2388 if test "$ac_dir" != .; then
2389   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
2390   # A "../" for each directory in $ac_dir_suffix.
2391   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
2392 else
2393   ac_dir_suffix= ac_top_builddir=
2394 fi
2395
2396 case $srcdir in
2397   .)  # No --srcdir option.  We are building in place.
2398     ac_srcdir=.
2399     if test -z "$ac_top_builddir"; then
2400        ac_top_srcdir=.
2401     else
2402        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
2403     fi ;;
2404   [\\/]* | ?:[\\/]* )  # Absolute path.
2405     ac_srcdir=$srcdir$ac_dir_suffix;
2406     ac_top_srcdir=$srcdir ;;
2407   *) # Relative path.
2408     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
2409     ac_top_srcdir=$ac_top_builddir$srcdir ;;
2410 esac
2411
2412 # Do not use `cd foo && pwd` to compute absolute paths, because
2413 # the directories may not exist.
2414 case `pwd` in
2415 .) ac_abs_builddir="$ac_dir";;
2416 *)
2417   case "$ac_dir" in
2418   .) ac_abs_builddir=`pwd`;;
2419   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
2420   *) ac_abs_builddir=`pwd`/"$ac_dir";;
2421   esac;;
2422 esac
2423 case $ac_abs_builddir in
2424 .) ac_abs_top_builddir=${ac_top_builddir}.;;
2425 *)
2426   case ${ac_top_builddir}. in
2427   .) ac_abs_top_builddir=$ac_abs_builddir;;
2428   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
2429   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
2430   esac;;
2431 esac
2432 case $ac_abs_builddir in
2433 .) ac_abs_srcdir=$ac_srcdir;;
2434 *)
2435   case $ac_srcdir in
2436   .) ac_abs_srcdir=$ac_abs_builddir;;
2437   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
2438   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
2439   esac;;
2440 esac
2441 case $ac_abs_builddir in
2442 .) ac_abs_top_srcdir=$ac_top_srcdir;;
2443 *)
2444   case $ac_top_srcdir in
2445   .) ac_abs_top_srcdir=$ac_abs_builddir;;
2446   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
2447   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
2448   esac;;
2449 esac
2450
2451
2452
2453   # Let's still pretend it is `configure' which instantiates (i.e., don't
2454   # use $as_me), people would be surprised to read:
2455   #    /* config.h.  Generated by config.status.  */
2456   if test x"$ac_file" = x-; then
2457     configure_input=
2458   else
2459     configure_input="$ac_file.  "
2460   fi
2461   configure_input=$configure_input"Generated from `echo $ac_file_in |
2462                                      sed 's,.*/,,'` by configure."
2463
2464   # First look for the input files in the build tree, otherwise in the
2465   # src tree.
2466   ac_file_inputs=`IFS=:
2467     for f in $ac_file_in; do
2468       case $f in
2469       -) echo $tmp/stdin ;;
2470       [\\/$]*)
2471          # Absolute (can't be DOS-style, as IFS=:)
2472          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2473 echo "$as_me: error: cannot find input file: $f" >&2;}
2474    { (exit 1); exit 1; }; }
2475          echo "$f";;
2476       *) # Relative
2477          if test -f "$f"; then
2478            # Build tree
2479            echo "$f"
2480          elif test -f "$srcdir/$f"; then
2481            # Source tree
2482            echo "$srcdir/$f"
2483          else
2484            # /dev/null tree
2485            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2486 echo "$as_me: error: cannot find input file: $f" >&2;}
2487    { (exit 1); exit 1; }; }
2488          fi;;
2489       esac
2490     done` || { (exit 1); exit 1; }
2491
2492   if test x"$ac_file" != x-; then
2493     { echo "$as_me:$LINENO: creating $ac_file" >&5
2494 echo "$as_me: creating $ac_file" >&6;}
2495     rm -f "$ac_file"
2496   fi
2497 _ACEOF
2498 cat >>$CONFIG_STATUS <<_ACEOF
2499   sed "$ac_vpsub
2500 $extrasub
2501 _ACEOF
2502 cat >>$CONFIG_STATUS <<\_ACEOF
2503 :t
2504 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
2505 s,@configure_input@,$configure_input,;t t
2506 s,@srcdir@,$ac_srcdir,;t t
2507 s,@abs_srcdir@,$ac_abs_srcdir,;t t
2508 s,@top_srcdir@,$ac_top_srcdir,;t t
2509 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
2510 s,@builddir@,$ac_builddir,;t t
2511 s,@abs_builddir@,$ac_abs_builddir,;t t
2512 s,@top_builddir@,$ac_top_builddir,;t t
2513 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
2514 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
2515   rm -f $tmp/stdin
2516   if test x"$ac_file" != x-; then
2517     mv $tmp/out $ac_file
2518   else
2519     cat $tmp/out
2520     rm -f $tmp/out
2521   fi
2522
2523 done
2524 _ACEOF
2525
2526 cat >>$CONFIG_STATUS <<\_ACEOF
2527
2528 { (exit 0); exit 0; }
2529 _ACEOF
2530 chmod +x $CONFIG_STATUS
2531 ac_clean_files=$ac_clean_files_save
2532
2533
2534 # configure is writing to config.log, and then calls config.status.
2535 # config.status does its own redirection, appending to config.log.
2536 # Unfortunately, on DOS this fails, as config.log is still kept open
2537 # by configure, so config.status won't be able to write to it; its
2538 # output is simply discarded.  So we exec the FD to /dev/null,
2539 # effectively closing config.log, so it can be properly (re)opened and
2540 # appended to by config.status.  When coming back to configure, we
2541 # need to make the FD available again.
2542 if test "$no_create" != yes; then
2543   ac_cs_success=:
2544   ac_config_status_args=
2545   test "$silent" = yes &&
2546     ac_config_status_args="$ac_config_status_args --quiet"
2547   exec 5>/dev/null
2548   $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
2549   exec 5>>config.log
2550   # Use ||, not &&, to avoid exiting from the if with $? = 1, which
2551   # would make configure fail if this is the last instruction.
2552   $ac_cs_success || { (exit 1); exit 1; }
2553 fi
2554